=== nemesis/forbind/Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c /main/90 1996/11/13 14:43:23 lehors $

# ----------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and </tmp/IIf.hQ1HOM>
# $XConsortium: Imake.tmpl /main/243 1996/11/13 14:42:56 lehors $
#

all::

.SUFFIXES: .i

# $XConsortium: Imake.cf /main/26 1996/09/28 16:05:09 rws $

# -----------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site.def file for SNL ACCESS System

# ----------------------------------------------------------------------
# platform-specific configuration parameters - edit darwin.cf to change

#
# NOTE: This was copied from the X11 distribution and modified.
#       It includes several symbols that are not used in ACCESS.
#
# NOTE: The default flags do not do very aggressive optimization;
#       You can change this if you want (possibly) faster execution.
#
# Contact seacas@sandia.gov if you have any questions
#

# operating system:  Darwin (10.8.0)

# $XFree86: xc/config/cf/darwinLib.rules,v 1.8 2003/10/09 22:43:18 herrb Exp $

# ----------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site.def file for SNL ACCESS Darwin

# ---------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $XConsortium: Imake.rules /main/217 1996/12/05 09:48:26 kaleb $

 _NULLCMD_ = @ echo -n

          PATHSEP = /
            SHELL = /bin/sh

           SYSTEM = Darwin
          LSYSTEM = `echo $(SYSTEM) | tr "[A-Z]" "[a-z]"`

              TOP = ../../..
      CURRENT_DIR = libraries/nemesis/forbind
          DESTDIR =
   SERIALDEBUGCMD = "dbx"
  PARDEBUGCMDSNGL = "mpirun -dbx"
  PARDEBUGCMDMULT = "mpirun -dbx"

            IMAKE = $(ETCDIR)/imake
           DEPEND = $(ETCDIR)/makedepend
        MKDIRHIER = mkdir -p
    EXPORTLISTGEN =
        CONFIGSRC = $(TOP)/config
         IMAKESRC = $(CONFIGSRC)/imake
        DEPENDSRC = $(CONFIGSRC)/makedepend

          INCROOT = /Users/gdsjaar/src/SEACAS-SF-INSTALL/inc
        USRLIBDIR = /Users/gdsjaar/src/SEACAS-SF-INSTALL/lib
         SHLIBDIR = /Users/gdsjaar/src/SEACAS-SF-INSTALL/lib/shared
       LINTLIBDIR = $(USRLIBDIR)/lint
          MANPATH = /Users/gdsjaar/src/SEACAS-SF-INSTALL/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(MANSOURCEPATH)$(MANSUFFIX)
        LIBMANDIR = $(MANSOURCEPATH)$(LIBMANSUFFIX)
       FILEMANDIR = $(MANSOURCEPATH)$(FILEMANSUFFIX)

               AR = ar cr
          ARFLAGS = cru
  BOOTSTRAPCFLAGS =
               CC = /opt/local/bin/clang-mp-3.1
               FC = /opt/local/bin/gfortran-mp-4.8
             F90C = /opt/local/bin/gfortran-mp-4.8
            CCPAR = /opt/local/bin/clang-mp-3.1
            FCPAR = /opt/local/bin/gfortran-mp-4.8
          F90CPAR = /opt/local/bin/gfortran-mp-4.8
               AS = as
             TEST = /bin/test
              M2C = /bin/true

.SUFFIXES: .cxx

              CXX = /opt/local/bin/clang++-mp-3.1
          CXXFILT = c++filt
           CXXLIB =
    CXXDEBUGFLAGS =
CXXDEPENDINCLUDES =
 CXXEXTRA_DEFINES =
CXXEXTRA_INCLUDES =
   CXXSTD_DEFINES = -DBuild64 -DADDC_  $(CXXPROJECT_DEFINES)
       CXXOPTIONS =
      CXXINCLUDES = $(CXXEXTRA_INCLUDES) $(INCLUDES) $(TOP_INCLUDES)
       CXXDEFINES = $(CXXINCLUDES) $(CXXSTD_DEFINES) $(THREADS_CXXDEFINES) $(CXXEXTRA_DEFINES) $(DEFINES)
         CXXFLAGS = $(CXXDEBUGFLAGS) $(DEBUG) $(CXXOPTIONS) $(THREADS_CXXFLAGS) $(CXXDEFINES) $(PROJECT_INCLUDES)

         COMPRESS = compress
              CPP = /usr/bin/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = /usr/bin/cpp -P $(STD_CPP_DEFINES)
          INSTALL = install
     INSTALLFLAGS = -c
               LD = ld
              LEX = lex
           LEXLIB = -ll
             YACC = yacc
           CCYACC = yacc
             LINT = lint
      LINTLIBFLAG = -C
         LINTOPTS = -axz
               LN = ln -s
             MAKE = make
               MV = mv
               CP = cp

           RANLIB = ranlib
  RANLIBINSTFLAGS =

               RM = rm -f
        MANSUFFIX = n
     LIBMANSUFFIX = 3
    FILEMANSUFFIX = 5
            TROFF = psroff
            NROFF = nroff
         MSMACROS = -ms
        MANMACROS = -man
              TBL = tbl
              EQN = eqn
             NEQN = neqn
              COL = col

         PICFLAGS = -fPIC

    SHAREDCODEDEF =
         SHLIBDEF =

     SHLIBLDFLAGS = -dynamiclib -headerpad_max_install_names

         PICFLAGS = -fPIC

      CXXPICFLAGS = -fPIC

     INSTPGMFLAGS =

     INSTETCFLAGS = -m 775 -o gdsjaar -g _developer
     INSTBINFLAGS = -m 775 -o gdsjaar -g _developer
     INSTUIDFLAGS = -m InstAccUid -o gdsjaar -g _developer
     INSTLIBFLAGS = -m 775 -o gdsjaar -g _developer
     INSTINCFLAGS = -m 775 -o gdsjaar -g _developer
     INSTMANFLAGS = -m 765 -o gdsjaar -g _developer
     INSTDATFLAGS = -m 765 -o gdsjaar -g _developer
    INSTKMEMFLAGS = -m InstAccUid -o gdsjaar -g _developer

      PROJECTROOT = /Users/gdsjaar/src/SEACAS-SF-INSTALL

     STD_INCLUDES =
  STD_CPP_DEFINES = -DBuild64 -DADDC_ $(PROJECT_DEFINES)
      STD_DEFINES = -DBuild64 -DADDC_  $(PROJECT_DEFINES)
 EXTRA_LOAD_FLAGS =
  EXTRA_LDOPTIONS =
  EXTRA_LIBRARIES =
F90EXTRALIBRARIES =
             TAGS = ctags

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(EXTRA_DEFINES) $(THREADS_DEFINES) $(DEFINES)

            DEBUG = -O
      CDEBUGFLAGS =
        CCOPTIONS =
     PARCCOPTIONS =
   CCEXTRAOPTIONS =
           CFLAGS = $(CDEBUGFLAGS)  $(DEBUG) $(CCOPTIONS) $(CCEXTRAOPTIONS) $(THREADS_CFLAGS) $(ALLDEFINES) $(PROJECT_INCLUDES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES) $(DEPEND_DEFINES)

    F77DEBUGFLAGS =
       F77OPTIONS = -fno-range-check -fcray-pointer -fdefault-real-8 -fdefault-integer-8
  F77EXTRAOPTIONS =
   F77PRECOPTIONS =
    PARF77OPTIONS = -fno-range-check -fcray-pointer -fdefault-real-8 -fdefault-integer-8
   F77STATICFLAGS =
      F77CPPFLAGS = -D$(SYSTEM)
           FFLAGS = $(F77DEBUGFLAGS) $(DEBUG) $(F77OPTIONS) $(F77PRECOPTIONS) $(F77EXTRAOPTIONS) $(PROJECT_INCLUDES)

    F90DEBUGFLAGS =
       F90OPTIONS = -fno-range-check
  F90EXTRAOPTIONS =
    PARF90OPTIONS = -fno-range-check
   F90STATICFLAGS =
      F90CPPFLAGS = -D$(SYSTEM) $(STD_CPP_DEFINES)
   F90PRECOPTIONS =
F90EXTRALDOPTIONS =
         F90FLAGS = $(F90DEBUGFLAGS) $(DEBUG) $(F90OPTIONS) $(F90EXTRAOPTIONS) $(F90PRECOPTIONS) $(PROJECT_INCLUDES)

         LDPRELIB = -L$(USRLIBDIR)
        LDPOSTLIB =
        LDOPTIONS = $(EXTRA_LDOPTIONS) $(THREADS_LDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIBS)
     PARLDOPTIONS =
           LDLIBS = $(LDPOSTLIBS) $(THREADS_LIBS) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)
     CXXLDOPTIONS = $(CXXOPTIONS) $(EXTRA_LDOPTIONS) $(THREADS_CXXLDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIBS)

           CCLINK = $(CC)

         NATIVECC = /opt/local/bin/clang-mp-3.1
        NATIVEF77 = /opt/local/bin/gfortran-mp-4.8
          CROSSCC = /opt/local/bin/clang-mp-3.1
  CROSSACCESSROOT = /Net/projects/seacas/janus/current
   CROSSACCESSSRC = $(CROSSACCESSROOT)/ACCESS
  CROSSALLDEFINES = -I$(CROSSACCESSROOT)/inc -Dcouar -DADDC_ -Usun
     CROSSLIBPATH = -L./ -L$(CROSSACCESSROOT)/lib
    CROSSPLIBPATH = -L./ -L$(CROSSACCESSROOT)/plib
      CROSSLIBDIR = $(CROSSACCESSROOT)/lib
     CROSSPLIBDIR = $(CROSSACCESSROOT)/plib
 CROSSPROJECTINCS = -I./ -I$(CROSSACCESSROOT)/inc

          CXXLINK = $(CXX)

     LDSTRIPFLAGS = -x
   LDCOMBINEFLAGS = -r
      DEPENDFLAGS =

        MACROFILE = darwin.cf
           RM_CMD = $(RM)

    IMAKE_DEFINES =
   ITOOLS_DEFINES = -DUseSfmakedepend=0

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

# ----------------------------------------------------------------------
# ACCESS Darwin Build Parameters and Rules
# ACCESS.tmpl

          TEMPDIR = /tmp

# PROJECTNAME     : name of project
# PROJECTRELEASE  : release number of ACCESS distribution
# ACCESSSRC       : location of ACCESS source code
# ACCESSDIR       : location of ACCESS installation directories
# Set in site.def : "SNLA ACCESS", "1.0", /Users/gdsjaar/src/SEACAS-SF, /Users/gdsjaar/src/SEACAS-SF-INSTALL
      PROJECTNAME = "SNLA ACCESS"
   PROJECTRELEASE = "1.0"
        ACCESSSRC = /Users/gdsjaar/src/SEACAS-SF/ACCESS
        ACCESSDIR = /Users/gdsjaar/src/SEACAS-SF-INSTALL

        TFLOPROOT = TflopAccessRoot
       CPLANTROOT = CplantAccessRoot

# Used to specify location of hdf5 libraries for use with netcdf-4
         HDF5ROOT = /Users/gdsjaar/src/SEACAS-SF

# Source code for the ACCESS Darwin
        ITOOLSSRC = itools
      GRAPHICSSRC = graphics
          SVDISRC = svdi
     LIBRARIESSRC = libraries
        NETCDFSRC = netcdf
          HDF5SRC = hdf5
     SERIALMPISRC = serial_mpi
   APPLICATIONSRC = applications
       SCRIPTSSRC = scripts
        TESTPROBS = test
  PARLIBRARIESSRC = parallellibraries
     PARNETCDFSRC = parallelnetcdf

# Translator Subdirectories
       ALGEBRASRC = algebra
      ALGEBRA2SRC = algebra2
        CONCATSRC = concat
         CONEXSRC = conex
        CONEX2SRC = conex2
       CONJOINSRC = conjoin
         EJOINSRC = ejoin
        EMERGESRC = emerge
        EXOCTHSRC = exocth
        EXOEXOSRC = exoexo
        EXOPATSRC = exopat
        EXOSYMSRC = exosym
        EXOTRCSRC = exotrc
       EXOTEC2SRC = exotec2
        EXOTXTSRC = exotxt
       EXOTXT2SRC = exotxt2
        PATEXOSRC = patexo
        SEAEXOSRC = seaexo
      SPHGEN2DSRC = sphgen2d
      SPHGEN3DSRC = sphgen3d
     SPHGEN3D2SRC = sphgen3d2
        TXTEXOSRC = txtexo
       TXTEXO2SRC = txtexo2
       EXO2VISSRC = exo2vis
     EXOMATLABSRC = exomatlab
        EXOMATSRC = exomat
       EXO2MATSRC = exo2mat

      EX1EX2V2SRC = ex1ex2v2
      EX2EX1V2SRC = ex2ex1v2
       EXODIFFSRC = exodiff
           EPUSRC = epu
        ABAEXOSRC = abaexo
      NEM_JOINSRC = nem_join
     NEM_SLICESRC = nem_slice
    NEM_SPREADSRC = nem_spread
         WTO3DSRC = wto3d

# Graphics Subdirectories
          BLOTSRC = blot
       BLOTII2SRC = blotII2
         FASTQSRC = fastq
         FONTSSRC = fonts
         GRAPHSRC = graph

# Library Subdirectories
         SUPESSRC = supes
       SUPESDPSRC = supesdp
        SUPLIBSRC = suplib
        LEGACYSRC = legacy
     MAPVARLIBSRC = mapvarlib
        EXODUSSRC = exodus
           PLTSRC = plt
   VDI_DRIVERSSRC = vdi_drivers
          IOSSSRC = ioss
        ZOLTANSRC = zoltan
         CHACOSRC = chaco
       NEMESISSRC = nemesis
    APREPROLIBSRC = aprepro
         XHELPSRC = xhelp
# Library Subdirectories for svdi
           CGISRC = cgi
           CDRSRC = cdr
          POSTSRC = post
          TESTSRC = test

# Pre- and Post-processing Subdirectories
       APREPROSRC = aprepro
      FAILPROBSRC = failprob
         GEN3DSRC = gen3d
        GEN3D2SRC = gen3d2
      GENSHELLSRC = genshell
     GENSHELL2SRC = genshell2
      GENHXSHLSRC = genhxshl
         GJOINSRC = gjoin
        GJOIN1SRC = gjoin1
        GJOIN2SRC = gjoin2
        GREPOSSRC = grepos
       GREPOS2SRC = grepos2
         GROPESRC = grope
        MAPVARSRC = mapvar
      MAPVARKDSRC = mapvar-kd
       NUMBERSSRC = numbers
      NUMBERS2SRC = numbers2
       EX_JOINSRC = ex_join
         SPIFFSRC = spiff

# ACCESS installation directories
           BINDIR = $(ACCESSDIR)/bin
        CONFIGDIR = $(ACCESSDIR)/config
           ETCDIR = $(ACCESSDIR)/etc
           INCDIR = $(ACCESSDIR)/inc
           LIBDIR = $(ACCESSDIR)/lib
          PLIBDIR = $(ACCESSDIR)/plib
        MATLABDIR = $(ACCESSDIR)/matlab
          SVDIDIR = $(ACCESSDIR)/svdi
      SVDITESTDIR = $(ACCESSDIR)/svdi/test
      BUILDINCDIR = $(ACCESSDIR)/inc
      BUILDINCTOP = ..
