=== debian/changelog ===
exodusii (6.02.dfsg.1-8) unstable; urgency=medium

  * Update home page to github (sourceforge page gone)
  * Debhelper compat level 10
  * Standards-Version: 4.1.1; no changes required
  * Delete redundant (empty) postinst, postrm files
  * Change B-D from libhdf5-serial-dev to libhdf5-dev. Closes: #879134
  * Correct typo in symlink name: libexodusIIv2c.so

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 20 Oct 2017 06:36:59 +0100

exodusii (6.02.dfsg.1-7) unstable; urgency=medium

  * Standards-Version: 3.9.8. No changes required
  * include exodusII.inc header file; Closes: #825481

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 27 May 2016 10:33:05 +0100

exodusii (6.02.dfsg.1-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Move from experimental to unstable for netcdf transition.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 24 Aug 2015 13:41:25 +0200

exodusii (6.02.dfsg.1-6) experimental; urgency=medium

  * Build against new libnetcdf-dev for transition.
  * Standards-Version: 3.9.6
  * Add Vcs-Git: pointing to debian-science at anonscm.debian.org 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 15 Jul 2015 11:07:51 +0100

exodusii (6.02.dfsg.1-5) unstable; urgency=medium

  * Force build against hdf5 in unstable 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Aug 2014 09:54:52 +0100

exodusii (6.02.dfsg.1-4) unstable; urgency=medium

  * B-D on csh as now triggered for some tests.
  * Add chrpath -d now needed for hdf5 change

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 01 Aug 2014 07:38:46 +0100

exodusii (6.02.dfsg.1-3) unstable; urgency=low

  [Gilles Fillipini]
  * New patch fix-cmake-hdf5.patch: fix cmake HDF5 detection to support
    hdf5 1.8.13 new packaging layout.

  [Alastair McKinstry]
   Now use 'xz' compression.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 30 Jul 2014 13:52:08 +0100

exodusii (6.02.dfsg.1-2) unstable; urgency=medium

  * Add zlib1g-dev and libhdf5-dev to B-D. Closes: #732325. 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 16 Dec 2013 17:38:24 +0000

exodusii (6.02.dfsg.1-1) unstable; urgency=low

  * New upstream release. Closes: #699919.
  * Standards-Version: 3.9.5
  * Move arch-dep files from M-A: same. Closes: #728781.
  * Add CPPFLAGS to CFLAGS in rules to enable hardening.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 14 Dec 2013 14:34:55 +0000

exodusii (5.24.dfsg.1-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.9.4

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 16 Jun 2013 12:33:49 +0100
